from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="tools_groq_pip",
    version="0.1.2",
    author="Saurabh Sharma",
    author_email="saurabh.kpxt@gmail.com",
    description="A collection of database and RAG operation tools",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/saurabhkpxt/tools_groq_pip",
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License", 
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.9",  # Updated to match Dockerfile Python version
    install_requires=[
        "langchain>=0.1.0",  # Added version constraints for stability
        "langchain-groq>=0.1.0",
        "neo4j>=5.0.0",
        "sqlalchemy>=2.0.0",
        "typing>=3.7.4",  # Added missing dependency from imports
    ],
)